commit:     a20e6113fa0aaaee1943ec7383e2193c5ed94845
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 12 05:43:35 2018 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Wed Dec 12 08:24:37 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a20e6113

app-vim/command-t: version bump to 5.0.3

Signed-off-by: Tim Harder <radhermit <AT> gentoo.org>

 app-vim/command-t/Manifest               |  1 +
 app-vim/command-t/command-t-5.0.3.ebuild | 48 ++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/app-vim/command-t/Manifest b/app-vim/command-t/Manifest
index 7ea1d9eb484..816584c252e 100644
--- a/app-vim/command-t/Manifest
+++ b/app-vim/command-t/Manifest
@@ -1,2 +1,3 @@
 DIST command-t-5.0.1.tar.gz 81781 BLAKE2B 
5d606892d9653c259525b6778cd72309da898fae787964fd4d1c9a6ebfd91e467e1f88f5756d7966c4866f721912164f0bf852efdd19209ce779a56725e2adbf
 SHA512 
54262f4628bbef8a11878a8593510af566dabf35dd70005dc90e4abb4c4e9aebde5dc7d08d808c944980017f8f35d7e9723b0032ccde5ab6d2d2fae38e1c632d
 DIST command-t-5.0.2.tar.gz 83601 BLAKE2B 
0391f010252fcd8b48909ad4a8dd504e6cbb74f1a2f776d719a8179f0d44299bfddf8161a2961c9089cbb3a4c4c944daa4adb26927f27c4c3beebceb0b938f53
 SHA512 
f8c8356231c3fb0f3a91cb61f534acac4dd401721a940c6ea045ada287d29395923eb46b1cb4f55b8254000f10eea9970841531abb2b110992180a1edbd66b81
+DIST command-t-5.0.3.tar.gz 84019 BLAKE2B 
fec893aa698a1d1bfc86cf7bd08562f19b54e58d81b7650e50acdf17bfcec54f78aae38d05ca5f93ae60c981a6e606d5c68c008be3508c7d41e74aa9f064943a
 SHA512 
588ee1516039e6cd45210de43307c02259fed29cc7610c222fe705cdf1d5938f51f823d41b546a36320da31db12e902363867da91b18fe56ea09c1efe2bb51fb

diff --git a/app-vim/command-t/command-t-5.0.3.ebuild 
b/app-vim/command-t/command-t-5.0.3.ebuild
new file mode 100644
index 00000000000..a8bbc97873a
--- /dev/null
+++ b/app-vim/command-t/command-t-5.0.3.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25"
+
+inherit vim-plugin ruby-ng
+
+DESCRIPTION="vim plugin: fast file navigation for vim"
+HOMEPAGE="https://vim.sourceforge.io/scripts/script.php?script_id=3025 
https://github.com/wincent/command-t";
+SRC_URI="https://github.com/wincent/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD-2"
+KEYWORDS="~amd64 ~x86"
+
+VIM_PLUGIN_HELPFILES="${PN}.txt"
+
+RDEPEND="|| ( app-editors/vim[ruby] app-editors/gvim[ruby] )"
+
+all_ruby_prepare() {
+       find "${S}" -name .gitignore -delete || die
+}
+
+each_ruby_configure() {
+       cd ruby/${PN}/ext/${PN} || die
+       ${RUBY} extconf.rb || die "extconf.rb failed"
+}
+
+each_ruby_compile() {
+       cd ruby/${PN}/ext/${PN} || die
+       emake V=1
+       rm *.o *.c *.h *.log extconf.rb depend Makefile || die
+}
+
+each_ruby_install() {
+       local sitelibdir=$(ruby_rbconfig_value "sitelibdir")
+       insinto "${sitelibdir}"
+       doins -r ruby/${PN}/{ext,lib}/*
+}
+
+all_ruby_install() {
+       rm Gemfile* Rakefile LICENSE README.md || die
+       rm -r appstream bin fixtures data ruby/${PN}/{ext,lib,*.gemspec} spec 
vendor || die
+
+       vim-plugin_src_install
+
+       # make sure scripts are executable
+       chmod +x "${ED}"/usr/share/vim/vimfiles/ruby/${PN}/bin/* || die
+}

Reply via email to